For AI agents: The documentation index is at https://docs.digitalocean.com/llms.txt. Markdown versions of pages use the same URL with index.html.md in place of the HTML page (for example, append index.html.md to the directory path instead of opening the HTML document).
Usage
client.apps.get_instance_size(slug="apps-s-1vcpu-0.5gb")
Returns JSONRaises HttpResponseError
Description
Retrieve information about a specific instance size for service, worker, and job components.
Parameters
slug string required
The slug of the instance size
Request Sample
Show Request Sample
import os
from pydo import Client
client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))
get_resp = client.apps.get_instance_size(slug="apps-s-1vcpu-0.5gb")
Response Example
Show Response Example
{
"instance_size": {
"name": "Shared 1VCPU 0.5GB",
"slug": "apps-s-1vcpu-0.5gb",
"cpu_type": "SHARED",
"cpus": "1",
"memory_bytes": "536870912",
"usd_per_month": "5.00",
"usd_per_second": "0.000002066799",
"tier_slug": "basic",
"single_instance_only": true,
"bandwidth_allowance_gib": "50"
}
}
See /v2/apps/tiers/instance_sizes/{slug} in the API reference for additional detail on responses, headers, parameters, and more.